> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List data transfers

> List data transfers



## OpenAPI

````yaml /api-specs/cloud/domino-volumes-api.json get /data-transfers
openapi: 3.0.3
info:
  description: >-
    Microservice responsible for managing Domino Volumes for NetApp ONTAP
    feature
  title: Domino Volumes for NetApp ONTAP Microservice API
  termsOfService: http://swagger.io/terms/
  contact:
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
    email: support@dominodatalab.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: '1.0'
servers:
  - url: https://mycluster.domino.tech/remotefs/v1
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /data-transfers:
    get:
      tags:
        - data transfers
      summary: List data transfers
      description: List data transfers
      parameters:
        - description: Limit
          name: limit
          in: query
          schema:
            type: integer
        - description: Offset
          name: offset
          in: query
          schema:
            type: integer
        - description: Order
          name: order
          in: query
          schema:
            type: string
        - description: Search
          name: search
          in: query
          schema:
            type: string
        - description: Sort by
          name: sort_by
          in: query
          schema:
            type: string
        - description: Destination volume ID
          name: destination_volume_id
          in: query
          explode: true
          schema:
            type: array
            items:
              type: string
        - description: Status
          name: status
          in: query
          explode: true
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.PaginatedDataTransfers'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    server.PaginatedDataTransfers:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/remotefs.DataTransfer'
        meta:
          $ref: '#/components/schemas/remotefs.Meta'
    server.HTTPError:
      type: object
      properties:
        message:
          type: string
    remotefs.DataTransfer:
      type: object
      required:
        - createdAt
        - createdBy
        - destinationVolumeId
        - id
        - status
        - type
        - updatedAt
        - updatedBy
      properties:
        createdAt:
          type: string
        createdBy:
          $ref: '#/components/schemas/remotefs.UserSummary'
        destinationVolumeId:
          type: string
        filetaskKey:
          type: string
        id:
          type: string
        labels:
          type: object
          additionalProperties:
            type: string
        status:
          $ref: '#/components/schemas/remotefs.DataTransferStatus'
        taskUpdate:
          $ref: '#/components/schemas/remotefs.TaskUpdate'
        type:
          $ref: '#/components/schemas/remotefs.DataTransferType'
        updatedAt:
          type: string
        updatedBy:
          $ref: '#/components/schemas/remotefs.UserSummary'
    remotefs.Meta:
      type: object
      properties:
        filters:
          type: array
          items:
            $ref: '#/components/schemas/remotefs.Filter'
        order:
          type: string
        pagination:
          $ref: '#/components/schemas/remotefs.Pagination'
        search:
          type: string
        sortBy:
          type: string
    remotefs.UserSummary:
      type: object
      required:
        - firstName
        - id
        - lastName
        - userName
      properties:
        firstName:
          type: string
        id:
          type: string
        lastName:
          type: string
        userName:
          type: string
    remotefs.DataTransferStatus:
      type: string
      enum:
        - Failed
        - Started
        - Succeeded
      x-enum-varnames:
        - TransferStatusFailed
        - TransferStatusStarted
        - TransferStatusSucceeded
    remotefs.TaskUpdate:
      type: object
      properties:
        artifactDetails:
          $ref: '#/components/schemas/remotefs.FlowsArtifactDetails'
        exportTargetId:
          type: string
        key:
          $ref: '#/components/schemas/remotefs.FlowsArtifactVersionKey'
        progress:
          type: integer
        tags:
          type: object
          additionalProperties:
            type: string
        type:
          type: string
        uri:
          type: string
    remotefs.DataTransferType:
      type: string
      enum:
        - flows-artifact-export
      x-enum-varnames:
        - DataTransferTypeFlowsArtifactExport
    remotefs.Filter:
      type: object
      properties:
        key:
          type: string
        values:
          type: array
          items:
            type: string
    remotefs.Pagination:
      type: object
      properties:
        limit:
          type: integer
        offset:
          type: integer
        totalCount:
          type: integer
    remotefs.FlowsArtifactDetails:
      type: object
      properties:
        artifact_name:
          type: string
        workflow_name:
          type: string
        workflow_version:
          type: string
    remotefs.FlowsArtifactVersionKey:
      type: object
      properties:
        artifactId:
          type: string
        execution:
          $ref: '#/components/schemas/remotefs.FlowsExecutionIdentifier'
    remotefs.FlowsExecutionIdentifier:
      type: object
      properties:
        domain:
          type: string
        name:
          type: string
        project:
          type: string

````

## Related topics

- [Audit Trail Data Glossary](/cloud/platform-capabilities/features/governance/audit-trail/audit-trail-glossary.md)
- [Callback for data transfer from filetask](/api-reference/data-transfers/callback-for-data-transfer-from-filetask.md)
- [Create new data transfer](/api-reference/data-transfers/create-new-data-transfer.md)
- [Get data transfer by ID](/api-reference/data-transfers/get-data-transfer-by-id.md)
